package com.ym.mec.biz.dal.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 机构代理商信息表(TenantProxyInfo)表实体类
 *
 * @author hgw
 * @since 2022-04-22 14:08:20
 */
@ApiModel(value = "tenant_proxy_info-机构代理商信息表")
public class TenantProxyInfo implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("proxy_name_")
    @ApiModelProperty(value = "代理商名称")
    private String proxyName;

    @TableField("proxy_user_id_")
    @ApiModelProperty(value = "代理商负责人id")
    private Integer proxyUserId;

    @TableField("state_")
    @ApiModelProperty(value = "状态 0正常 1冻结 2删除")
    private Integer state;

    @TableField("create_by_")
    @ApiModelProperty(value = "创建人")
    private Integer createBy;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProxyName() {
        return proxyName;
    }

    public void setProxyName(String proxyName) {
        this.proxyName = proxyName;
    }

    public Integer getProxyUserId() {
        return proxyUserId;
    }

    public void setProxyUserId(Integer proxyUserId) {
        this.proxyUserId = proxyUserId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Integer createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

